
Foreman - Bug #31758

Unterminated single quote in chainloader pxeboot template breaks grub2 parser

01/29/2021 07:19 PM - Scott Lindeneau

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 2.3.3   

Difficulty:  Fixed in Releases: 2.3.3, 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8299,

https://github.com/theforeman/foreman/p

ull/8316,

https://github.com/theforeman/foreman/p

ull/8317

  

Description

In develop, grub2 parser cannot parse the single quote introduced in this commit:

https://github.com/theforeman/foreman/commit/694b95f206e344d805f9ca9f5543f6a383ed2c7a#diff-a66d2f0432f9af6d5777b076a71

dadbb498843748eef3e3b67577cb39fa12c1b

Pull request with fix here:

https://github.com/theforeman/foreman/pull/8299

Associated revisions

Revision f36cf952 - 02/06/2021 01:11 PM - Scott Lindeneau

Fixes #31758 - Unterminated single quote in chainloader pxeboot template breaks grub2 parser

Changes wording from can't to cannot to remove unterminated single quote.

History

#1 - 02/03/2021 05:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 02/05/2021 12:31 PM - Lukas Zapletal

- Category set to Templates

- Assignee set to Lukas Zapletal

- Target version set to 2.3.3

- Triaged changed from No to Yes

We need to fix this in 2.3 and 2.4, tiny change.

#3 - 02/06/2021 01:11 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 02/06/2021 02:01 PM - Scott Lindeneau

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f36cf9521680a6be86d706cecebbaca28194d4ae.
#5 - 02/08/2021 10:07 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8316 added

#6 - 02/08/2021 10:08 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8317 added

#7 - 02/16/2021 11:12 AM - Tomer Brisker

- Fixed in Releases 2.3.3, 2.4.0 added

- Fixed in Releases deleted (2.5.0)
